Description

There should be tool to generate XML observation definition lists easily for a given set of available data, IRFs and some options

supplied by the user.

E.g. if we want people to use the ctools to run HESS analyses, the easiest way is to give them event lists and IRFs with a

standardised file / folder structure, plus a findruns tool.

This tool could also compute and write the safe energy threshold info into the observation definition list (see

https://cta-redmine.irap.omp.eu/issues/1039#note-16).

A few month ago | wanted to write some tools to do the book-keeping, but got distracted:

https://gammapy.readthedocs.org/en/latest/obs/index.html

https://gammapy.readthedocs.org/en/latest/data/formats/run_lists.html

Jurgen, you probably want this to be a ctool to have consistent parameter / logging, right?

(I think we discussed this before, but | don't remember what we decided how lots of event lists / IRFs should be stored and how a
simple tool for the end-user to select the data they want to analyse would work.)

History

#1 - 07/19/2014 02:15 AM - Knddlseder Jiirgen

- Target version deleted (2nd coding sprint)

#2 - 04/17/2015 12:26 AM - Mayer Michael

Might already be implemented by cshessobs?

#3 - 04/17/2015 10:51 PM - Deil Christoph

- Status changed from New to Resolved

| haven't tried cshessobs yet, but yes, | think this does exactly what | meant.

Thanks for writing it!

#4 - 11/09/2015 09:24 PM - Knddliseder Jiirgen

- Status changed from Resolved to Closed
